Loading...
Searching...
No Matches
ClpHashValue Class Reference

`#include <ClpNode.hpp>`

Collaboration diagram for ClpHashValue:
[legend]

## Classes

struct | CoinHashLink
| Data. More...

## Public Member Functions

Useful methods
int | index (double value) const
| Return index or -1 if not found.
int | addValue (double value)
| Add value to list and return index.
int | numberEntries () const
| Number of different entries.
Constructors, destructor
| ClpHashValue ()
| Default constructor.
| ClpHashValue (ClpSimplex *model)
| Useful constructor.
virtual | ~ClpHashValue ()
| Destructor.
Copy method
| ClpHashValue (const ClpHashValue &)
| The copy constructor.
ClpHashValue & | operator= (const ClpHashValue &)
| =

## Protected Attributes

Data members
The data members are protected to allow access for derived classes.
CoinHashLink * | hash_
| Hash table.
int | numberHash_
| Number of entries in hash table.
int | maxHash_
| Maximum number of entries in hash table i.e. size.
int | lastUsed_
| Last used space.

## Private Member Functions

private stuff
int | hash (double value) const
| returns hash
void | resize (bool increaseMax)
| Resizes.

## Detailed Description

Definition at line 299 of file ClpNode.hpp.

## Constructor & Destructor Documentation

## ClpHashValue() [1/3]

ClpHashValue::ClpHashValue | ( |  | ) |

Default constructor.

## ClpHashValue() [2/3]

ClpHashValue::ClpHashValue | ( | ClpSimplex * | model | ) |

Useful constructor.

## ~ClpHashValue()

virtual ClpHashValue::~ClpHashValue | ( |  | ) |

virtual

Destructor.

## ClpHashValue() [3/3]

ClpHashValue::ClpHashValue | ( | const ClpHashValue & |  | ) |

The copy constructor.

## Member Function Documentation

## index()

int ClpHashValue::index | ( | double | value | ) | const

Return index or -1 if not found.

## addValue()

int ClpHashValue::addValue | ( | double | value | ) |

Add value to list and return index.

## numberEntries()

int ClpHashValue::numberEntries | ( |  | ) | const

inline

Number of different entries.

Definition at line 309 of file ClpNode.hpp.

## operator=()

ClpHashValue & ClpHashValue::operator= | ( | const ClpHashValue & |  | ) |

=

## hash()

int ClpHashValue::hash | ( | double | value | ) | const

private

returns hash

## resize()

void ClpHashValue::resize | ( | bool | increaseMax | ) |

private

Resizes.

## Member Data Documentation

## hash_

CoinHashLink* ClpHashValue::hash_

mutable protected

Hash table.

Definition at line 352 of file ClpNode.hpp.

## numberHash_

int ClpHashValue::numberHash_

protected

Number of entries in hash table.

Definition at line 354 of file ClpNode.hpp.

## maxHash_

int ClpHashValue::maxHash_

protected

Maximum number of entries in hash table i.e. size.

Definition at line 356 of file ClpNode.hpp.

## lastUsed_

int ClpHashValue::lastUsed_

protected

Last used space.

Definition at line 358 of file ClpNode.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpNode.hpp